Bug 460101 - Review Request: perl-HTML-RewriteAttributes - Concise attribute rewriting
Review Request: perl-HTML-RewriteAttributes - Concise attribute rewriting
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 459536
  Show dependency treegraph
 
Reported: 2008-08-26 03:38 EDT by Ralf Corsepius
Modified: 2010-03-01 11:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 08:21:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-08-26 03:38:37 EDT
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-HTML-RewriteAttributes.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-HTML-RewriteAttributes-0.03-1.fc10.src.rpm
Description:
HTML::RewriteAttributes is designed for simple yet powerful HTML attribute
rewriting.

This package is a new prerequisite of rt >= 3.8.0.
Comment 1 Dan Horák 2008-08-27 01:32:00 EDT
formal review:
OK	source files match upstream:
	    de1a91417cef97727f6201f7d986ed07df71bae5  HTML-RewriteAttributes-0.03.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible. License text not included upstream.
OK	latest version is being packaged.
OK	BuildRequires are proper.
N/A	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
N/A	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
OK	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

this package is APPROVED
Comment 2 Ralf Corsepius 2008-08-27 03:00:18 EDT
New Package CVS Request
=======================
Package Name: perl-HTML-RewriteAttributes-
Short Description: Concise attribute rewriting
Owners: corsepiu
Branches: F-8 F-9
InitialCC: perl-sig
Comment 3 Ralf Corsepius 2008-08-27 03:44:30 EDT
Grumble, nasty typo in #2 - This package's  name is supposed to be 
"perl-HTML-RewriteAttributes" (without -)

New Package CVS Request
=======================
Package Name: perl-HTML-RewriteAttributes
Short Description: Concise attribute rewriting
Owners: corsepiu
Branches: F-8 F-9
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2008-08-29 00:34:30 EDT
cvs done.
Comment 5 Fedora Update System 2008-08-29 22:13:31 EDT
perl-HTML-RewriteAttributes-0.03-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-HTML-RewriteAttributes-0.03-1.fc9
Comment 6 Fedora Update System 2008-08-29 22:15:00 EDT
perl-HTML-RewriteAttributes-0.03-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/perl-HTML-RewriteAttributes-0.03-1.fc8
Comment 7 Fedora Update System 2008-09-05 08:21:51 EDT
perl-HTML-RewriteAttributes-0.03-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-09-10 02:48:10 EDT
perl-HTML-RewriteAttributes-0.03-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-09-10 02:59:48 EDT
perl-HTML-RewriteAttributes-0.03-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Mark Chappell 2010-03-01 08:58:53 EST
corsepiu is listed as not interested in EPEL


Package Change Request
======================
Package Name: perl-HTML-RewriteAttributes
New Branches: EL-4 EL-5
Owners: tremble
Comment 11 Jason Tibbitts 2010-03-01 11:52:45 EST
CVS done.

Note You need to log in before you can comment on or make changes to this bug.